package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.RechargeRecord;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface RechargeRecordService {
	RechargeRecord get(String id);
	boolean exist(String id);
	int insert(RechargeRecord model);
	int update(RechargeRecord model);
	int delete(String id);
	RechargeRecord getBySerialNum(String erialNum);
	List<RechargeRecord> list();
	Page<RechargeRecord> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	Page<RechargeRecord> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize, boolean count, List<Sort> sortList);
}